import { __require as requireType } from "../es-errors/type.js";
var RequireObjectCoercible;
var hasRequiredRequireObjectCoercible;
function requireRequireObjectCoercible() {
  if (hasRequiredRequireObjectCoercible) return RequireObjectCoercible;
  hasRequiredRequireObjectCoercible = 1;
  var $TypeError = requireType();
  RequireObjectCoercible = function RequireObjectCoercible2(value) {
    if (value == null) {
      throw new $TypeError(arguments.length > 0 && arguments[1] || "Cannot call method on " + value);
    }
    return value;
  };
  return RequireObjectCoercible;
}
export {
  requireRequireObjectCoercible as __require
};
